| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RTPSReliableWriterQos Class Reference

Qos Policy to configure the DisablePositiveACKsQos and the writer timing attributes. More...

`#include <RTPSReliableWriterQos.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | RTPSReliableWriterQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~RTPSReliableWriterQos ()=default
| Destructor.
bool | operator== (const RTPSReliableWriterQos &b) const
void | clear ()

## Public Attributes

fastdds::rtps::WriterTimes | times
| Writer Timing Attributes.
DisablePositiveACKsQosPolicy | disable_positive_acks
| Disable positive acks QoS, implemented in the library.
bool | disable_heartbeat_piggyback = false
| Disable heartbeat piggyback mechanism.

## Detailed Description

Qos Policy to configure the DisablePositiveACKsQos and the writer timing attributes.

## Constructor & Destructor Documentation

## ◆ RTPSReliableWriterQos()

FASTDDS_EXPORTED_API RTPSReliableWriterQos | ( |  | ) |

inline

Constructor.

## ◆ ~RTPSReliableWriterQos()

virtual FASTDDS_EXPORTED_API ~RTPSReliableWriterQos | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline

## ◆ operator==()

bool operator== | ( | const RTPSReliableWriterQos & | b | ) | const

inline

## Member Data Documentation

## ◆ disable_heartbeat_piggyback

bool disable_heartbeat_piggyback = false

Disable heartbeat piggyback mechanism.

## ◆ disable_positive_acks

DisablePositiveACKsQosPolicy disable_positive_acks

Disable positive acks QoS, implemented in the library.

## ◆ times

fastdds::rtps::WriterTimes times

Writer Timing Attributes.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/RTPSReliableWriterQos.hpp